package common

type (
	WindowAspect int64
	WindowMode   int64
	WindowAction int64
)

const (
	MainType = "mainType"
	SubType  = "subType"
	Params   = "params"
)

const (
	WindowAspect_Normal WindowAspect = iota
	WindowAspect_FullScreen
)

const (
	DEFAULT_RESOURCE_PATH = "resources"
)

const (
	CONFIG_SERVICE_NAME = "name"
	CONFIG_SERVICE_URL  = "url"
)
