package pb

import (
	// "errors"
	// "fmt"
	"go_dreamfactory/cmd/v2/lib/common"
	"go_dreamfactory/cmd/v2/model"
	"go_dreamfactory/pb"
	// "go_dreamfactory/comm"
	// "go_dreamfactory/modules/friend"
	// "go_dreamfactory/modules/growtask"
	// "go_dreamfactory/modules/hero"
	// "go_dreamfactory/modules/library"
	// "go_dreamfactory/modules/linestory"
	// "go_dreamfactory/modules/mline"
	// "go_dreamfactory/modules/sociaty"
	// "go_dreamfactory/modules/sys"
	// "go_dreamfactory/modules/task"
	// "go_dreamfactory/modules/user"
	// "go_dreamfactory/modules/worldtask"
	// "go_dreamfactory/pb"
	// "strings"
	// "github.com/sirupsen/logrus"
	// "google.golang.org/protobuf/proto"
)

// 2 添加导航菜单
var (
	CaseIndex = map[string][]string{
		"": {
			"gm",
			// string(comm.ModuleSys),
			// string(comm.ModuleUser),
			// string(comm.ModuleHero),
			// string(comm.ModuleTask),
			// string(comm.ModuleFriend),
			// string(comm.ModuleMail),
			// string(comm.ModuleItems),
			// string(comm.ModuleEquipment),
			// string(comm.ModuleShop),
			// string(comm.ModuleMline),
			// string(comm.ModulePagoda),
			// string(comm.ModuleRtask),
			// string(comm.ModuleLinestory),
			// string(comm.ModuleGourmet),
			"sociaty",
			// string(comm.ModuleTroll),
			// string(comm.ModuleGrowtask),
			"worldtask",
			// string(comm.ModuleReddot),
			"smithy",
			// string(comm.ModuleDispatch),
			// string(comm.ModuleReputation),
			// string(comm.ModuleOldtimes),
		},
		"gm": {
			common.MF("gm", "cmd"),
			// common.MF(comm.ModuleGM, "gi"),
		},
		"sys": {
			// common.MF(comm.ModuleSys, "funclist"),
		},
		// "reddot": {common.MF(comm.ModuleReddot, "get")},
		"user": {
			// common.MF(comm.ModuleUser, user.UserSubTypeModifyAvatar),
			// common.MF(comm.ModuleUser, user.UserSubTypeModifyName),
			// common.MF(comm.ModuleUser, user.UserSubTypeModifyFigure),
			// common.MF(comm.ModuleUser, user.UserSubTYpeModifyBgp),
			// common.MF(comm.ModuleUser, user.UserSubTypeModifySign),
			// common.MF(comm.ModuleUser, user.UserSubTypeBattlerecord),
		},
		"items": {
			// common.MF(comm.ModuleItems, "getlist"),
			// common.MF(comm.ModuleItems, "sellitem"),
			// common.MF(comm.ModuleItems, "useitem"),
		},
		"mail": {
			// common.MF(comm.ModuleMail, "getlist"),
			// common.MF(comm.ModuleMail, "readmail"),
			// common.MF(comm.ModuleMail, "delmail"),
			// common.MF(comm.ModuleMail, "getusermailattachment"),
			// common.MF(comm.ModuleMail, "getallmailattachment"),
		},
		"hero": {
			// common.MF(comm.ModuleHero, hero.HeroSubTypeList),
			// common.MF(comm.ModuleHero, hero.StrengthenUplv),
			// common.MF(comm.ModuleHero, hero.StrengthenUpStar),
			// common.MF(comm.ModuleHero, hero.DrawCard),
			// common.MF(comm.ModuleHero, "info"),
		},
		"equipment": {
			// common.MF(comm.ModuleEquipment, "getlist"),
			// common.MF(comm.ModuleEquipment, "equip"),
			// common.MF(comm.ModuleEquipment, "upgrade"),
		},
		"task": {
			// common.MF(comm.ModuleTask, task.TaskSubTypeList),
			// common.MF(comm.ModuleTask, task.TaskSubTypeActiveList),
			// common.MF(comm.ModuleTask, task.TaskSubTypeActiveReceive),
			// common.MF(comm.ModuleTask, task.TaskSubTypeGetrecord),
		},
		"friend": {
			// common.MF(comm.ModuleFriend, friend.FriendSubTypeList),

			// common.MF(comm.ModuleFriend, friend.FriendSubTypeAgree),
			// common.MF(comm.ModuleFriend, friend.FriendSubTypeBlacklist),
			// common.MF(comm.ModuleFriend, friend.FriendSubTypeAddBlack),
			// common.MF(comm.ModuleFriend, friend.FriendSubTypeDelBlack),
			// common.MF(comm.ModuleFriend, friend.FriendSubTypeRandList),
			// common.MF(comm.ModuleFriend, friend.FriendSubTypeGetreward),
			// common.MF(comm.ModuleFriend, friend.FriendSubTypeAssistHero),
			// common.MF(comm.ModuleFriend, friend.FriendSubTypeAssistlist),
			// common.MF(comm.ModuleFriend, friend.FriendSubTypeAssistHeroList),
		},
		"shop": {
			// common.MF(comm.ModuleShop, "getlist"),
			// common.MF(comm.ModuleShop, "buy"),
		},
		"mainline": {
			// common.MF(comm.ModuleMline, mline.MlineGetListResp),
			// common.MF(comm.ModuleMline, mline.MlineChallengeResp),
			// common.MF(comm.ModuleMline, mline.MlineGetRewardResp),
		},
		"pagoda": {
			// common.MF(comm.ModulePagoda, "getlist"),
		},
		"linestory": {
			// common.MF(comm.ModuleLinestory, linestory.LinestorySubTypeChapter),
			// common.MF(comm.ModuleLibrary, library.LibraryFetterstoryTaskResp),
		},
		"gourmet": {
			// common.MF(comm.ModuleGourmet, "getranduser"),
		},
		"sociaty": {
			common.MF("sociaty", "list"),
			common.MF("sociaty", "create"),
			common.MF("sociaty", "mine"),
			common.MF("sociaty", "tasklist"),
			// common.MF("sociaty", sociaty.SociatySubTypeRank),
			// common.MF("sociaty", "boss"),
		},
		"troll": {
			// common.MF(comm.ModuleTroll, "getlist"),
		},
		"growtask": {
			// common.MF(comm.ModuleGrowtask, growtask.GrowtaskSubTypeList),
		},
		"worldtask": {
			common.MF("worldtask", "mine"),
			// common.MF(comm.ModuleWorldtask, "check"),
			common.MF("worldtask", "trigger"),
		},
		"smithy": {
			common.MF("smithy", "tasklist"),
		},
		"dispatch": {
			// common.MF(comm.ModuleDispatch, "dispatch"),
			// common.MF(comm.ModulePractice, "practice"),
		},
		"reputation": {
			// common.MF(comm.ModuleReputation, "reputation"),
		},
		"oldtimes": {
			// common.MF(comm.ModuleOldtimes, "oldtimes"),
		},
	}
)

// 3 注册测试用例
var (
	CaseNav = map[string]*model.TestCase{
		// gm
		"gm": {
			NavLabel: "GM",
			MainType: string("gm"),
			Enabled:  true,
		},
		common.MF("gm", "cmd"): {
			Desc:     "eg. bingo:item,10001,1  bingo:attr,gold,1000000",
			MainType: string("gm"),
			SubType:  "cmd",
			Req:      &pb.GMCmdReq{},
			Rsp:      &pb.GMCmdResp{},
			Enabled:  true,
		},
		// common.MF(comm.ModuleGM, "gi"): {
		// 	NavLabel: "实例配置",
		// 	Desc:     "全局实例配置",
		// 	MainType: string(comm.ModuleGM),
		// 	SubType:  "gi",
		// 	Enabled:  true,
		// },
		// "reddot": {
		// 	NavLabel: "红点",
		// 	MainType: string(comm.ModuleReddot),
		// 	Enabled:  true,
		
		// },
		// common.MF(comm.ModuleReddot, "get"): {
		// 	Desc:     "红点",
		// 	NavLabel: "红点",
		// 	MainType: string(comm.ModuleReddot),
		// 	SubType:  "get",
		// 	Enabled:  true,
		// },
		// "sys": {
		// 	NavLabel: "系统",
		// 	MainType: string(comm.ModuleSys),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleSys, "funclist"): {
		// 	NavLabel: "功能列表",
		// 	Desc:     "返回未开启的功能列表",
		// 	MainType: string(comm.ModuleSys),
		// 	// SubType:  sys.SysSubTypeFunc,
		// 	Enabled: true,
		// },
		// // user
		// "user": {
		// 	NavLabel: "用户",
		// 	MainType: "user",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleUser, user.UserSubTypeModifyAvatar): {
		// 	Desc:     "用户头像修改",
		// 	NavLabel: "修改头像",
		// 	MainType: string(comm.ModuleUser),
		// 	SubType:  user.UserSubTypeModifyAvatar,
		// 	Enabled:  true,
		// },
		// "user.modifyname": {
		// 	Desc:     "用户昵称修改",
		// 	NavLabel: "修改昵称",
		// 	MainType: "user",
		// 	SubType:  "modifyname",
		// 	Req:      &pb.UserModifynameReq{},
		// 	Rsp:      &pb.UserModifynameResp{},
		// 	Print: func(rsp proto.Message) string {
		// 		logrus.WithFields(logrus.Fields{"main": "user", "stype": "modifyname"}).Debug("print")
		// 		var formatStr strings.Builder

		// 		if in, ok := rsp.(*pb.UserMessage); ok {
		// 			out := &pb.UserModifynameResp{}
		// 			if !comm.ProtoUnmarshal(in, out) {
		// 				return errors.New("unmarshal err").Error()
		// 			}
		// 			formatStr.WriteString(fmt.Sprintf("Uid:%s count:%d", out.Uid, out.Count))
		// 		}
		// 		return formatStr.String()
		// 	},
		// 	Enabled: true,
		// },
		// common.MF(comm.ModuleUser, user.UserSubTypeModifyFigure): {
		// 	Desc:     "用户形象修改",
		// 	NavLabel: "修改形象",
		// 	MainType: string(comm.ModuleUser),
		// 	SubType:  user.UserSubTypeModifyFigure,
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleUser, user.UserSubTYpeModifyBgp): {
		// 	Desc:     "背景修改",
		// 	NavLabel: "修改背景",
		// 	MainType: string(comm.ModuleUser),
		// 	SubType:  user.UserSubTYpeModifyBgp,
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleUser, user.UserSubTypeModifySign): {
		// 	NavLabel: "修改签名",
		// 	Desc:     "用户签名修改",
		// 	MainType: string(comm.ModuleUser),
		// 	SubType:  user.UserSubTypeModifySign,
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleUser, user.UserSubTypeBattlerecord): {
		// 	NavLabel: "战斗记录",
		// 	Desc:     "玩家在心魔塔、狩猎、维京远征的战斗记录",
		// 	MainType: string(comm.ModuleUser),
		// 	SubType:  user.UserSubTypeBattlerecord,
		// 	Enabled:  true,
		// },
		//items
		// string(comm.ModuleItems): {
		// 	NavLabel: "道具",
		// 	MainType: string(comm.ModuleItems),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleItems, "getlist"): {
		// 	NavLabel: "道具列表",
		// 	Desc:     "道具列表",
		// 	MainType: string(comm.ModuleItems),
		// 	SubType:  "getlist",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleItems, "sellitem"): {
		// 	NavLabel: "道具售卖",
		// 	Desc:     "道具售卖",
		// 	MainType: string(comm.ModuleItems),
		// 	SubType:  "sellitem",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleItems, "useitem"): {
		// 	NavLabel: "道具使用",
		// 	Desc:     "道具使用",
		// 	MainType: string(comm.ModuleItems),
		// 	SubType:  "useitem",
		// 	Enabled:  true,
		// },

		//mail
		// string(comm.ModuleMail): {
		// 	NavLabel: "邮箱",
		// 	MainType: string(comm.ModuleMail),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleMail, "getlist"): {
		// 	NavLabel: "我的邮件",
		// 	Desc:     "我的邮件",
		// 	MainType: string(comm.ModuleMail),
		// 	SubType:  "getlist",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleMail, "readmail"): {
		// 	NavLabel: "读邮件",
		// 	Desc:     "读取邮件",
		// 	MainType: string(comm.ModuleMail),
		// 	SubType:  "readmail",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleMail, "delmail"): {
		// 	NavLabel: "删除邮件",
		// 	Desc:     "删除邮件",
		// 	MainType: string(comm.ModuleMail),
		// 	SubType:  "delmail",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleMail, "getusermailattachment"): {
		// 	NavLabel: "领取附件",
		// 	Desc:     "领取附件",
		// 	MainType: string(comm.ModuleMail),
		// 	SubType:  "getusermailattachment",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleMail, "getallmailattachment"): {
		// 	NavLabel: "一键领取",
		// 	Desc:     "领取所有附件",
		// 	MainType: string(comm.ModuleMail),
		// 	SubType:  "getallmailattachment",
		// 	Enabled:  true,
		// },
		// task
		// "task": {
		// 	NavLabel: "任务",
		// 	MainType: "task",
		// 	Enabled:  true,
		// },
		// "task.list": {
		// 	NavLabel: "任务列表",
		// 	Desc:     "用户任务列表",
		// 	MainType: "task",
		// 	SubType:  "list",
		// 	Req:      &pb.TaskListReq{},
		// 	Rsp:      &pb.TaskListResp{},
		// 	Enabled:  true,
		// 	Print: func(rsp proto.Message) string {
		// 		logrus.WithFields(logrus.Fields{"main": "task", "stype": "list"}).Debug("print")
		// 		var formatStr strings.Builder
		// 		if in, ok := rsp.(*pb.UserMessage); ok {
		// 			out := &pb.TaskListResp{}
		// 			if !comm.ProtoUnmarshal(in, out) {
		// 				return errors.New("unmarshal err").Error()
		// 			}

		// 			for i, v := range out.List {
		// 				formatStr.WriteString(fmt.Sprintf("%d- %v\n", (i + 1), v))
		// 			}
		// 		}
		// 		return formatStr.String()
		// 	},
		// },
		// common.MF(comm.ModuleTask, task.TaskSubTypeGetrecord): {
		// 	NavLabel: "任务数据",
		// 	Desc:     "任务数据",
		// 	MainType: string(comm.ModuleTask),
		// 	SubType:  task.TaskSubTypeGetrecord,
		// 	Enabled:  true,
		// },

		// common.MF(comm.ModuleTask, task.TaskSubTypeActiveList): {
		// 	NavLabel: "活跃度列表",
		// 	Desc:     "用户活跃度列表",
		// 	MainType: string(comm.ModuleTask),
		// 	SubType:  task.TaskSubTypeActiveList,
		// 	Req:      &pb.TaskActiveListReq{},
		// 	Rsp:      &pb.TaskActiveListResp{},
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleTask, task.TaskSubTypeActiveReceive): {
		// 	NavLabel: "活跃度领取",
		// 	Desc:     "用户活跃度领取",
		// 	MainType: string(comm.ModuleTask),
		// 	SubType:  task.TaskSubTypeActiveReceive,
		// 	Req:      &pb.TaskActiveReceiveReq{},
		// 	Rsp:      &pb.TaskActiveReceiveResp{},
		// 	Enabled:  true,
		// },
		// hero
		// string(comm.ModuleHero): {
		// 	NavLabel: "英雄",
		// 	MainType: string(comm.ModuleHero),
		// 	Enabled:  true,
		// // },
		// common.MF(comm.ModuleHero, hero.HeroSubTypeList): {
		// 	NavLabel: "英雄列表",
		// 	Desc:     "英雄列表",
		// 	MainType: string(comm.ModuleHero),
		// 	SubType:  hero.HeroSubTypeList,
		// 	Print: func(rsp proto.Message) string {
		// 		logrus.WithFields(logrus.Fields{"main": comm.ModuleHero, "stype": hero.HeroSubTypeList}).Debug("print")
		// 		var formatStr strings.Builder
		// 		if in, ok := rsp.(*pb.UserMessage); ok {
		// 			out := &pb.HeroListResp{}
		// 			if !comm.ProtoUnmarshal(in, out) {
		// 				return errors.New("unmarshal err").Error()
		// 			}
		// 			for i, v := range out.List {
		// 				formatStr.WriteString(fmt.Sprintf("%d- %v\n", (i + 1), v))
		// 			}
		// 		}
		// 		return formatStr.String()
		// 	},
		// 	Enabled: true,
		// },
		// common.MF(comm.ModuleHero, hero.StrengthenUplv): {
		// 	NavLabel: "英雄升级",
		// 	Desc:     "英雄等级升级",
		// 	MainType: string(comm.ModuleHero),
		// 	SubType:  hero.StrengthenUplv,
		// 	Req:      &pb.HeroStrengthenUplvReq{},
		// 	Rsp:      &pb.HeroStrengthenUplvResp{},
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleHero, hero.StrengthenUpStar): {
		// 	NavLabel: "英雄升星",
		// 	Desc:     "英雄星级升级",
		// 	MainType: string(comm.ModuleHero),
		// 	SubType:  hero.StrengthenUpStar,
		// 	Req:      &pb.HeroStrengthenUpStarReq{},
		// 	Rsp:      &pb.HeroStrengthenUpStarResp{},
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleHero, hero.DrawCard): {
		// 	NavLabel: "招募",
		// 	Desc:     "抽卡招募",
		// 	MainType: string(comm.ModuleHero),
		// 	SubType:  hero.DrawCard,
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleHero, "info"): {
		// 	NavLabel: "英雄信息",
		// 	Desc:     "英雄信息",
		// 	MainType: string(comm.ModuleHero),
		// 	SubType:  "info",
		// 	Enabled:  true,
		// },
		//equipment
		// string(comm.ModuleEquipment): {
		// 	NavLabel: "装备",
		// 	MainType: string(comm.ModuleEquipment),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleEquipment, "getlist"): {
		// 	NavLabel: "装备列表",
		// 	Desc:     "装备列表",
		// 	MainType: string(comm.ModuleEquipment),
		// 	SubType:  "getlist",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleEquipment, "equip"): {
		// 	NavLabel: "穿卸装备",
		// 	Desc:     "穿/卸装备",
		// 	MainType: string(comm.ModuleEquipment),
		// 	SubType:  "equip",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleEquipment, "upgrade"): {
		// 	NavLabel: "升级装备",
		// 	Desc:     "升级装备",
		// 	MainType: string(comm.ModuleEquipment),
		// 	SubType:  "upgrade",
		// 	Enabled:  true,
		// },
		//friend
		// string(comm.ModuleFriend): {
		// 	NavLabel: "好友",
		// 	MainType: string(comm.ModuleFriend),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeRandList): {
		// 	NavLabel: "在线玩家",
		// 	Desc:     "在线玩家列表",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeRandList,
		// 	Enabled:  true

		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeList): {
		// 	NavLabel: "我的好友",
		// 	Desc:     "我的好友列表",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeList,
		// 	Req:      &pb.FriendListReq{},
		// 	Rsp:      &pb.FriendListResp{},
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeApply): {
		// 	NavLabel: "好友申请",
		// 	Desc:     "好友申请",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeApply,
		// 	Req:      &pb.FriendApplyReq{},
		// 	Rsp:      &pb.FriendApplyResp{},
		// 	Enabled:  false,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeBlacklist): {
		// 	NavLabel: "黑名单",
		// 	Desc:     "黑名单列表",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeBlacklist,
		// 	Req:      &pb.FriendBlackListReq{},
		// 	Rsp:      &pb.FriendBlackListResp{},
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeAddBlack): {
		// 	NavLabel: "加黑名单",
		// 	Desc:     "添加黑名单",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeAddBlack,
		// 	Req:      &pb.FriendAddBlackReq{},
		// 	Rsp:      &pb.FriendAddBlackResp{},
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeDelBlack): {
		// 	NavLabel: "删黑名单",
		// 	Desc:     "删除黑名单",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeDelBlack,
		// 	Req:      &pb.FriendDelBlackReq{},
		// 	Rsp:      &pb.FriendDelBlackResp{},
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeAgree): {
		// 	NavLabel: "好友审批",
		// 	Desc:     "好友申请审批",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeAgree,
		// 	Req:      &pb.FriendAgreeReq{},
		// 	Rsp:      &pb.FriendAgreeResp{},
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeSearch): {
		// 	NavLabel: "好友搜索",
		// 	Desc:     "搜索好友",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeSearch,
		// 	Req:      &pb.FriendSearchReq{},
		// 	Rsp:      &pb.FriendSearchResp{},
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeAssistHero): {
		// 	NavLabel: "助战英雄",
		// 	Desc:     "助战英雄",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeAssistHero,
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeAssistlist): {
		// 	NavLabel: "助战列表",
		// 	Desc:     "助战英雄列表",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeAssistlist,
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeGetreward): {
		// 	NavLabel: "助战奖励",
		// 	Desc:     "助战奖励",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeGetreward,
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleFriend, friend.FriendSubTypeAssistHeroList): {
		// 	NavLabel: "助战英雄列表",
		// 	Desc:     "我的好友助战英雄列表",
		// 	MainType: string(comm.ModuleFriend),
		// 	SubType:  friend.FriendSubTypeAssistHeroList,
		// 	Enabled:  true,
		// },

		// //shop
		// string(comm.ModuleShop): {
		// 	NavLabel: "商店",
		// 	MainType: string(comm.ModuleShop),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleShop, "getlist"): {
		// 	NavLabel: "商店列表",
		// 	Desc:     "商店列表",
		// 	MainType: string(comm.ModuleShop),
		// 	SubType:  "getlist",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleShop, "buy"): {
		// 	NavLabel: "购买商品",
		// 	Desc:     "购买商品",
		// 	MainType: string(comm.ModuleShop),
		// 	SubType:  "buy",
		// 	Enabled:  true,
		// },
		// mainline
		// string(comm.ModuleMline): {
		// 	NavLabel: "主线关卡",
		// 	MainType: string(comm.ModuleShop),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleMline, mline.MlineGetListResp): {
		// 	NavLabel: "主线关卡",
		// 	Desc:     "主线关卡",
		// 	MainType: string(comm.ModuleMline),
		// 	SubType:  mline.MlineGetListResp,
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleMline, mline.MlineChallengeResp): {
		// 	NavLabel: "关卡挑战",
		// 	Desc:     "关卡挑战",
		// 	MainType: string(comm.ModuleMline),
		// 	SubType:  mline.MlineChallengeResp,
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleMline, mline.MlineGetRewardResp): {
		// 	NavLabel: "关卡奖励",
		// 	Desc:     "获取关卡奖励",
		// 	MainType: string(comm.ModuleMline),
		// 	SubType:  mline.MlineGetRewardResp,
		// 	Enabled:  true,
		// },
		// //pagoda
		// string(comm.ModulePagoda): {
		// 	NavLabel: "魔塔",
		// 	MainType: string(comm.ModulePagoda),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModulePagoda, "getlist"): {
		// 	NavLabel: "魔塔列表",
		// 	Desc:     "魔塔列表",
		// 	MainType: string(comm.ModulePagoda),
		// 	SubType:  "getlist",
		// 	Enabled:  true,
		// },
		// rtask
		// string(comm.ModuleRtask): {
		// 	NavLabel: "随机任务",
		// 	MainType: string(comm.ModuleRtask),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleRtask, "rtest"): {
		// 	NavLabel: "测试条件",
		// 	Desc:     "测试任务触发",
		// 	MainType: string(comm.ModuleRtask),
		// 	SubType:  "rtest",
		// 	Enabled:  true,
		// },
		//linestory
		// string(comm.ModuleLinestory): {
		// 	NavLabel: "支线剧情任务",
		// 	MainType: string(comm.ModuleLinestory),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleLinestory, linestory.LinestorySubTypeChapter): {
		// 	NavLabel: "支线任务",
		// 	Desc:     "我的剧情任务",
		// 	MainType: string(comm.ModuleLinestory),
		// 	SubType:  linestory.LinestorySubTypeChapter,
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleLibrary, library.LibraryFetterstoryTaskResp): {
		// 	NavLabel: "羁绊任务",
		// 	Desc:     "我的剧情任务",
		// 	MainType: string(comm.ModuleLibrary),
		// 	SubType:  library.LibraryFetterstoryTaskResp,
		// 	Enabled:  true,
		// },
		// // gourmet
		// string(comm.ModuleGourmet): {
		// 	NavLabel: "美食馆",
		// 	MainType: string(comm.ModuleGourmet),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleGourmet, "getranduser"): {
		// 	NavLabel: "随机玩家",
		// 	Desc:     "随机玩家",
		// 	MainType: string(comm.ModuleGourmet),
		// 	SubType:  "getranduser",
		// 	Enabled:  true,
		// },
		// sociaty
		string("sociaty"): {
			NavLabel: "公会",
			MainType: "sociaty",
			Enabled:  true,
		},
		common.MF("sociaty", "create"): {
			NavLabel: "公会创建",
			Desc:     "公会创建",
			MainType: "sociaty",
			SubType:  "create",
			Enabled:  true,
		},
		common.MF("sociaty", "list"): {
			NavLabel: "公会推荐",
			Desc:     "公会列表",
			MainType: "sociaty",
			SubType:  "list",
			Enabled:  true,
		},
		common.MF("sociaty", "mine"): {
			NavLabel: "我的公会",
			Desc:     "我的公会",
			MainType: "sociaty",
			SubType:  "mine",
			Enabled:  true,
		},
		common.MF("sociaty", "tasklist"): {
			NavLabel: "任务列表",
			Desc:     "任务列表",
			MainType: "sociaty",
			SubType:  "tasklist",
			Enabled:  true,
		},
		// common.MF("sociaty", sociaty.SociatySubTypeRank): {
		// 	NavLabel: "排行榜",
		// 	Desc:     "排行榜",
		// 	MainType: string("sociaty"),
		// 	SubType:  sociaty.SociatySubTypeRank,
		// 	Enabled:  true,
		// },
		// common.MF("sociaty", "boss"): {
		// 	NavLabel: "BOSS",
		// 	Desc:     "BOSS",
		// 	MainType: string("sociaty"),
		// 	SubType:  "boss",
		// 	Enabled:  true,
		// },
		//troll
		// string(comm.ModuleTroll): {
		// 	NavLabel: "巨兽",
		// 	MainType: string(comm.ModuleTroll),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleTroll, "getlist"): {
		// 	NavLabel: "列表",
		// 	Desc:     "巨兽列表",
		// 	MainType: string(comm.ModuleTroll),
		// 	SubType:  "getlist",
		// 	Enabled:  true,
		// },
		// growtask
		// string(comm.ModuleGrowtask): {
		// 	NavLabel: "成长任务",
		// 	MainType: string(comm.ModuleGrowtask),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleGrowtask, growtask.GrowtaskSubTypeList): {
		// 	NavLabel: "列表",
		// 	Desc:     "成长任务列表",
		// 	MainType: string(comm.ModuleGrowtask),
		// 	SubType:  growtask.GrowtaskSubTypeList,
		// 	Enabled:  true,
		// },
		// worldtask
		string("worldtask"): {
			NavLabel: "世界任务",
			MainType: "worldtask",
			Enabled:  true,
		},
		common.MF("worldtask", "mine"): {
			NavLabel: "我的任务",
			Desc:     "世界任务剧情",
			MainType: "worldtask",
			SubType:  "mine",
			Enabled:  true,
		},
		// common.MF(comm.ModuleWorldtask, "check"): {
		// 	NavLabel: "模拟",
		// 	Desc:     "世界任务自动执行模拟",
		// 	MainType: string(comm.ModuleWorldtask),
		// 	SubType:  "check",
		// 	Enabled:  true,
		// },
		common.MF("worldtask", "trigger"): {
			NavLabel: "触发条件",
			Desc:     "触发条件",
			MainType: "worldtask",
			SubType:  "trigger",
			Enabled:  true,
		},
		// smithy
		string("smithy"): {
			NavLabel: "铁匠铺",
			MainType: "smithy",
			Enabled:  true,
		},
		common.MF("smithy", "tasklist"): {
			NavLabel: "任务",
			Desc:     "当前铁匠铺中的顾客",
			MainType: "smithy",
			SubType:  "tasklist",
			Enabled:  true,
		},
		// dispatch
		// string(comm.ModuleDispatch): {
		// 	NavLabel: "武馆派遣",
		// 	MainType: string(comm.ModuleDispatch),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleDispatch, "dispatch"): {
		// 	NavLabel: "派遣",
		// 	Desc:     "派遣",
		// 	MainType: string(comm.ModuleDispatch),
		// 	SubType:  "dispatch",
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModulePractice, "practice"): {
		// 	NavLabel: "练功",
		// 	Desc:     "练功",
		// 	MainType: string(comm.ModulePractice),
		// 	SubType:  "practice",
		// 	Enabled:  true,
		// },
		// reputation
		// string(comm.ModuleReputation): {
		// 	NavLabel: "声望",
		// 	MainType: string(comm.ModuleReputation),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleReputation, "reputation"): {
		// 	NavLabel: "声望管理",
		// 	Desc:     "声望管理",
		// 	MainType: string(comm.ModuleReputation),
		// 	SubType:  "reputation",
		// 	Enabled:  true,
		// },
		// oldtimes
		// string(comm.ModuleOldtimes): {
		// 	NavLabel: "旧时光",
		// 	MainType: string(comm.ModuleOldtimes),
		// 	Enabled:  true,
		// },
		// common.MF(comm.ModuleOldtimes, "oldtimes"): {
		// 	NavLabel: "关卡",
		// 	Desc:     "关卡编辑器",
		// 	MainType: string(comm.ModuleOldtimes),
		// 	SubType:  "oldtimes",
		// 	Enabled:  true,
		// },
	}
)
