package model

import "google.golang.org/protobuf/proto"

type TestCase struct {
	Id       string        //用例ID 如果没有指定,会自动赋值uuid
	NavLabel string        //菜单名称
	Desc     string        //用例描述
	MainType string        //协议类型 L1
	SubType  string        //协议类型 L2
	Req      proto.Message //请求类型
	Rsp      proto.Message //响应类型
	Enabled  bool          //是否启用
	// View     MyCaseView                     //视图
	Print func(rsp proto.Message) string //定义打印
	Sort  int32                          //顺序号
}
